Z-Blog应用中心 > PHP插件 > KandyList 自定义列表

KandyList 自定义列表

购买应用 ¥111

插件特点

  • 类可视化编辑,无需任何编码经验。

  • 模块化管理,方便侧栏或独立调用。

  • 模块化数据,无需在每次打开页面的时候都繁复的加载数据,减轻服务器和数据库负担。

  • 数据不延时,每个涉及模块更新的操作如发表编辑文章,评论,新建修改分类等,都会同时更新列表数据。

  • 可自定义标题和摘要长度

  • 可自定义ul列表的li的样式类(class)

  • 可自由选择时间限制,如当天、当月、当年或几天之内的文章、评论和用户

  • 可自由组合选择置顶、有评论或有图片条件的文章

  • 可自由选择按正、倒序以时间、评论、统计次数等或随机的方式排序

  • 可设置模块是否实时更新

  • 可自定义模板或选择默认预设模板

  • 可调用来自文章、页面、分类、评论、标签、用户的数据

  • 可指定文章或排除指定的文章,包括指定或排除文章的评论

  • 可针对子分类进行必要的筛选

  • 可针对用户级别进行必要的筛选

  • 可自由组合多选页面、分类、用户级别、用户、标签

  • 可选择保存模块后返回当前模块

  • 多选项目可搜索关键字进行筛选

  • 模块提交后可及时看到数据预览

  • 相同文件名和htmlid会有重名提醒

  • 提供了若干常用的标签,方便自定义模板

  • 模板标签支持KandyLang语言包

注意事项

  • 收费版需要KandyApp的加持以及KandyLang的协助

  • 收费版的调用标签需包含kandylist-的前缀

  • 使用前请认真阅读管理页面的备注

  • 不熟悉html编码的同学请耐心仔细自定义模板,编码格式错误代码会呈亮红色,错误的编码可能导致页面错乱

插件配置



效果预览

实际效果可以访问swijoy.commuzuo.de浏览

更新日志

2019-09-01 V2.4
NEW 新增排除标签的功能
NEW 新增标签及排除标签同时选择时作为“或者”条件的功能
NEW 新增默认图片地址功能
FIX 完善了相关代码
FIX 将默认记录数量调整为10
FIX 调整了模块编辑地址
BUG 修复了编辑接口无法使用的问题
BUG 修复用户等级关联用户出错的问题
BUG 修复用户数据avatar标签无法替换的问题
BUG 修复数据源对应可用模板标签不准确的问题
BUG 修复子分类筛选不准确的问题

2018-12-07 V2.3
FIX 完善了文章和评论列表的时间标签
BUG 修复非KandyList模块保存失败的问题

2018-07-29 V2.2
NEW 新增指定(排除)文章的功能
FIX 完善了文件名与HtmlID的防错机制
BUG 修复HtmlID填写KandyTabModule规定前缀无法提交的问题

2018-07-12 V2.1
NEW 新增文件名和元素ID非英文和数字或下划线的错误提示
NEW 新增顶踩标签、顶踩排序和顶踩过滤,需KandyDigg插件支持
FIX 将文章标签条件由“或者”调整为“并且”增强准确性
BUG 修复了数据提交后不能及时更新预览的问题
BUG 修复某些浏览器排序方式无法正常选择的兼容问题

2018-06-22 V2.0
NEW 收费版发布

访客您好,Z-Blog相关网站已开启实名制,请登录后绑定您的手机,再发表评论,谢谢您的支持。

头像 mapper 2019-10-08 15:53:21  回复该评论 Google Chrome 77.0.3865.90 Windows 10 x64
不知为啥一直提示:名称不能为空或格式不正确
头像 吉光片羽 开发者 2019-10-08 17:10:37  回复该评论 Android Webkit 4.0 Huawei HRY-AL00
请问是填写了模块名称还是会有这个提示吗?请先确保kandyapp插件是最新版,如果还是无法正常使用请在本页上方作者介绍里加群联系我,晚上会回复,谢谢!
头像 petcats 2019-06-30 02:50:15  回复该评论 Google Chrome 75.0.3770.100 Windows 10 x64
总结了一些问题已得到作者的帮助和解答,非常细致,已解决大部分问题,知道了使用操作的逻辑,十分感谢援助!!还有些细节性的小问题,得再研究下。。毕竟不懂代码,再学习下!
头像 petcats 2019-06-22 21:48:30  回复该评论 Google Chrome 75.0.3770.100 Windows 10 x64
同求教程。。。买了不会用555,求作者通过下群信息。。大神给甩个教程吧~
头像 lefunn 2018-08-23 12:00:49  回复该评论 Firefox 61.0 Windows 10 x64
买了不会用。提交总是提示名称或格式错误,又没见哪个地方没填的。搞不懂
头像 吉光片羽 开发者 2018-08-26 12:39:31  回复该评论 Firefox 56.0 Windows 10 x64
很抱歉给您带来不便,如需帮助请在作者介绍中加群联系我,谢谢!
头像 3266071 2018-07-22 08:23:25  回复该评论 Google Chrome 67.0.3396.62 Windows 10 x64
我日了 不会用 那位大神同有这款插件的 甩个教程吧
头像 363322014 2018-06-23 02:35:11  回复该评论 Firefox 52.0 Windows XP
免费试下,刚上线
头像 363322014 2018-06-23 02:34:01  回复该评论 Firefox 52.0 Windows XP
好像很强

选择Kandy应用前需注意什么?

  1. 搜索并安装KandyApp插件

  2. 根据推荐分类选择需要的Kandy应用

  3. 务必查看“插件组件支持测试”以确保所需应用能正常运行

  4. 在选择收费的Kandy应用前,建议先查找是否有相应功能的免费应用

升级Kandy应用前需注意什么?

请确保已安装的KandyApp插件为最新版本!如果遇到KandyApp插件及其他Kandy应用同时升级的提醒,请务必先升级KandyApp插件!

升级Kandy应用后无法正常访问?

请按以下步骤操作直至恢复正常:

  1. 请在FTP中将已升级应用备份后删除

  2. 后台安装最新版的KandyApp

  3. 在FTP中将刚删除的应用恢复

  4. 付费用户请加群并在群内直接联系群主

  5. 免费应用请在发布页面提交准确详细的BUG报告并留下有效的联系方式

什么是Kandy应用?

由吉光片羽设计开发的旨在优化开发与使用体验的ZBlog的插件或主题。

什么时候需要用到Kandy应用?

一些插件或主题可能需要依赖某些必要的Kandy应用。当需求只用Kandy应用能实现的时候。采用必要的Kandy应用可以有效提高开发效率。

为什么要使用Kandy应用?

Kandy应用有着精简的开发脚本,可以有效节省文件体积,提高访问速率。Kandy应用正在根据各种需求逐渐形成一套完整的应用体系,以便简单准确的实现使用者需求。

如何联系吉光片羽解决问题?

吉光片羽很轻,正飘在空中纠结。

请在上方官网提交准确详细的BUG报告并留下有效的联系方式,谢谢理解与配合!

付费用户请加QQ群 295491362 (验证条件:购买者名称+应用中心20位订单号)以便及时沟通维护,谢谢理解与配合!


购买条款


1. 您购买一个应用,即表示默认接受并认同符合您的使用需求。因为其为特殊服务,购买后无论是否有被使用,都不能退款
2. 一个应用仅可用于单一账号使用,未经本站和许可方同意,不得二次发布、赠送、转售、租让等,否则我们将永久关闭用户账号并保留继续追究相关责任的权利。
3. 如无特殊说明,已购买应用仅包括相关使用权及免费更新服务,默认应用中心及开发者不提供额外售后安装等服务。


购买指南


1. 请先注册账号,然后登录“应用中心”。
2. 直接点击“购买应用”,跟随指引即可。


下载指南


1. 购买者在自己的Z-Blog网站登录,进入后台,在左侧菜单栏点击“应用中心”菜单。
2. 在“应用中心”的首页,使用应用中心注册账号进行登录。
3. 进入“我的应用仓库”,即可看到已购买成功的应用,点击“下载”即可下载安装。


其它注意事项


1. 如果通过自己网站后台无法正常访问应用中心,请谨慎购买,因为这将可能导致应用无法顺利下载安装。
2. 如已购买收费应用无法正常下载,请在自己网站后台检查Z-Blog及应用更新,如均已更新至最新版本仍无法下载请及时与我们联系。
3. 应用更新时有可能覆盖本地设置,请在更新前做好备份。